
package net.mcreator.junglebiomeupdate.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.AxeItem;

import net.mcreator.junglebiomeupdate.JungleBiomeUpdateModElements;

@JungleBiomeUpdateModElements.ModElement.Tag
public class MacheteItem extends JungleBiomeUpdateModElements.ModElement {
	@ObjectHolder("jungle_biome_update:machete")
	public static final Item block = null;
	public MacheteItem(JungleBiomeUpdateModElements instance) {
		super(instance, 20);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new AxeItem(new IItemTier() {
			public int getMaxUses() {
				return 100;
			}

			public float getEfficiency() {
				return 16f;
			}

			public float getAttackDamage() {
				return 2f;
			}

			public int getHarvestLevel() {
				return 1;
			}

			public int getEnchantability() {
				return 2;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 1, -3f, new Item.Properties().group(ItemGroup.TOOLS)) {
		}.setRegistryName("machete"));
	}
}
