package net.mcreator.junglebiomeupdate.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.junglebiomeupdate.entity.JaguarEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class JaguarRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(JaguarEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcustom_model(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("jungle_biome_update:textures/jaguar_jungle.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.7.5
	// Exported for Minecraft version 1.15
	// Paste this class into your mod and generate all required imports
	public static class Modelcustom_model extends EntityModel<Entity> {
		private final ModelRenderer bb_main;
		private final ModelRenderer cube_r1;
		private final ModelRenderer cube_r2;
		private final ModelRenderer cube_r3;
		private final ModelRenderer cube_r4;
		private final ModelRenderer cube_r5;
		public Modelcustom_model() {
			textureWidth = 128;
			textureHeight = 128;
			bb_main = new ModelRenderer(this);
			bb_main.setRotationPoint(0.0F, 24.0F, 0.0F);
			bb_main.setTextureOffset(73, 66).addBox(-7.0F, -1.0F, -4.0F, 6.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(68, 46).addBox(-7.0F, -11.0F, -1.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(68, 62).addBox(1.0F, -1.0F, -4.0F, 6.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(65, 16).addBox(1.0F, -11.0F, -1.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(26, 50).addBox(1.0F, -1.0F, 14.0F, 6.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(26, 46).addBox(-7.0F, -1.0F, 14.0F, 6.0F, 1.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(51, 61).addBox(-7.0F, -11.0F, 17.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(29, 61).addBox(1.0F, -11.0F, 17.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(-8.0F, -26.5F, -4.5F, 16.0F, 13.0F, 33.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 46).addBox(-4.75F, -33.25F, -18.25F, 9.0F, 8.0F, 8.0F, 0.0F, false);
			bb_main.setTextureOffset(66, 70).addBox(-4.0F, -31.25F, -25.0F, 7.0F, 2.0F, 7.0F, 0.0F, false);
			bb_main.setTextureOffset(22, 2).addBox(1.5F, -29.25F, -24.25F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(22, 22).addBox(-3.5F, -29.25F, -24.25F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(21, 15).addBox(1.5F, -29.25F, -20.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 19).addBox(1.5F, -29.25F, -22.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(17, 3).addBox(-3.5F, -29.25F, -20.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 3).addBox(-3.5F, -29.25F, -22.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 16).addBox(-2.0F, -28.25F, -24.25F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(-0.25F, -28.25F, -24.25F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(17, 0).addBox(3.0F, -34.0F, -18.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(17, 17).addBox(-5.5F, -34.0F, -18.0F, 2.0F, 2.0F, 1.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(-2.5F, -26.25F, -24.0F);
			bb_main.addChild(cube_r1);
			setRotationAngle(cube_r1, 0.3491F, 0.0F, 0.0F);
			cube_r1.setTextureOffset(22, 5).addBox(-1.0F, -1.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			cube_r1.setTextureOffset(22, 7).addBox(4.0F, -1.0F, 0.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			cube_r2 = new ModelRenderer(this);
			cube_r2.setRotationPoint(0.0F, -23.75F, -24.0F);
			bb_main.addChild(cube_r2);
			setRotationAngle(cube_r2, 0.2618F, 0.0F, 0.0F);
			cube_r2.setTextureOffset(15, 77).addBox(-4.0F, -2.0F, 0.0F, 7.0F, 2.0F, 7.0F, 0.0F, false);
			cube_r3 = new ModelRenderer(this);
			cube_r3.setRotationPoint(-1.75F, -26.0F, -12.0F);
			bb_main.addChild(cube_r3);
			setRotationAngle(cube_r3, -0.48F, 0.0F, 0.0F);
			cube_r3.setTextureOffset(34, 46).addBox(-2.0F, -5.0F, -1.0F, 7.0F, 5.0F, 10.0F, 0.0F, false);
			cube_r4 = new ModelRenderer(this);
			cube_r4.setRotationPoint(-5.0F, -11.0F, 17.0F);
			bb_main.addChild(cube_r4);
			setRotationAngle(cube_r4, -0.5236F, 0.0F, 0.0F);
			cube_r4.setTextureOffset(0, 0).addBox(-2.0F, -11.0F, 0.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			cube_r4.setTextureOffset(0, 16).addBox(6.0F, -11.0F, 0.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			cube_r5 = new ModelRenderer(this);
			cube_r5.setRotationPoint(3.0F, -11.0F, -1.0F);
			bb_main.addChild(cube_r5);
			setRotationAngle(cube_r5, -0.5236F, 0.0F, 0.0F);
			cube_r5.setTextureOffset(0, 62).addBox(-2.0F, -11.0F, 0.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
			cube_r5.setTextureOffset(65, 0).addBox(-10.0F, -11.0F, 0.0F, 6.0F, 11.0F, 5.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			bb_main.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
			this.bb_main.rotateAngleY = f3 / (180F / (float) Math.PI);
			this.bb_main.rotateAngleX = f4 / (180F / (float) Math.PI);
		}
	}
}
