package net.mcreator.junglebiomeupdate.entity.renderer;

import net.minecraftforge.fml.client.registry.RenderingRegistry;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.client.event.ModelRegistryEvent;
import net.minecraftforge.api.distmarker.OnlyIn;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.util.ResourceLocation;
import net.minecraft.entity.Entity;
import net.minecraft.client.renderer.model.ModelRenderer;
import net.minecraft.client.renderer.entity.model.EntityModel;
import net.minecraft.client.renderer.entity.MobRenderer;

import net.mcreator.junglebiomeupdate.entity.JungletempledwellerEntity;

import com.mojang.blaze3d.vertex.IVertexBuilder;
import com.mojang.blaze3d.matrix.MatrixStack;

@OnlyIn(Dist.CLIENT)
public class JungletempledwellerRenderer {
	public static class ModelRegisterHandler {
		@SubscribeEvent
		@OnlyIn(Dist.CLIENT)
		public void registerModels(ModelRegistryEvent event) {
			RenderingRegistry.registerEntityRenderingHandler(JungletempledwellerEntity.entity, renderManager -> {
				return new MobRenderer(renderManager, new Modelcustom_model(), 0.5f) {
					@Override
					public ResourceLocation getEntityTexture(Entity entity) {
						return new ResourceLocation("jungle_biome_update:textures/jungle_temple_dweler.png");
					}
				};
			});
		}
	}

	// Made with Blockbench 3.7.5
	// Exported for Minecraft version 1.15
	// Paste this class into your mod and generate all required imports
	public static class Modelcustom_model extends EntityModel<Entity> {
		private final ModelRenderer bb_main;
		private final ModelRenderer cube_r1;
		private final ModelRenderer LeftArm_r1;
		private final ModelRenderer Leftarmbase_r1;
		private final ModelRenderer RightArm_r1;
		private final ModelRenderer Rightarmbase_r1;
		public Modelcustom_model() {
			textureWidth = 64;
			textureHeight = 64;
			bb_main = new ModelRenderer(this);
			bb_main.setRotationPoint(0.0F, 24.0F, 0.0F);
			bb_main.setTextureOffset(12, 39).addBox(-5.0F, -9.0F, -1.0F, 3.0F, 9.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 35).addBox(2.0F, -9.0F, -1.0F, 3.0F, 9.0F, 3.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(-6.0F, -22.0F, -3.0F, 12.0F, 13.0F, 7.0F, 0.0F, false);
			bb_main.setTextureOffset(38, 0).addBox(-3.5F, -28.0F, -3.0F, 7.0F, 6.0F, 5.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 20).addBox(-10.0F, -17.0F, -16.0F, 19.0F, 1.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(0, 0).addBox(12.0F, -17.5F, -16.0F, 1.0F, 2.0F, 1.0F, 0.0F, false);
			bb_main.setTextureOffset(18, 6).addBox(13.0F, -17.0F, -16.0F, 1.0F, 1.0F, 1.0F, 0.0F, false);
			cube_r1 = new ModelRenderer(this);
			cube_r1.setRotationPoint(9.0F, -17.0F, -16.0F);
			bb_main.addChild(cube_r1);
			setRotationAngle(cube_r1, 0.0F, 0.0F, 1.5708F);
			cube_r1.setTextureOffset(0, 22).addBox(-1.0F, -3.0F, 0.0F, 3.0F, 3.0F, 1.0F, 0.0F, false);
			LeftArm_r1 = new ModelRenderer(this);
			LeftArm_r1.setRotationPoint(-1.0F, -12.0F, -13.0F);
			bb_main.addChild(LeftArm_r1);
			setRotationAngle(LeftArm_r1, 0.2618F, 0.5236F, 0.0F);
			LeftArm_r1.setTextureOffset(0, 22).addBox(-3.0F, -5.0F, 0.0F, 4.0F, 4.0F, 9.0F, 0.0F, false);
			Leftarmbase_r1 = new ModelRenderer(this);
			Leftarmbase_r1.setRotationPoint(2.0F, -14.0F, -8.0F);
			bb_main.addChild(Leftarmbase_r1);
			setRotationAngle(Leftarmbase_r1, 0.2618F, 0.6109F, 0.0F);
			Leftarmbase_r1.setTextureOffset(17, 26).addBox(-3.0F, -5.0F, 0.0F, 4.0F, 4.0F, 9.0F, 0.0F, false);
			RightArm_r1 = new ModelRenderer(this);
			RightArm_r1.setRotationPoint(-8.0F, -12.0F, -13.0F);
			bb_main.addChild(RightArm_r1);
			setRotationAngle(RightArm_r1, 0.2618F, -0.2182F, 0.0F);
			RightArm_r1.setTextureOffset(31, 13).addBox(-3.0F, -5.0F, 0.0F, 4.0F, 4.0F, 9.0F, 0.0F, false);
			Rightarmbase_r1 = new ModelRenderer(this);
			Rightarmbase_r1.setRotationPoint(-10.0F, -14.0F, -8.0F);
			bb_main.addChild(Rightarmbase_r1);
			setRotationAngle(Rightarmbase_r1, 0.2618F, 0.6109F, 0.0F);
			Rightarmbase_r1.setTextureOffset(34, 34).addBox(-3.0F, -5.0F, 0.0F, 4.0F, 4.0F, 9.0F, 0.0F, false);
		}

		@Override
		public void render(MatrixStack matrixStack, IVertexBuilder buffer, int packedLight, int packedOverlay, float red, float green, float blue,
				float alpha) {
			bb_main.render(matrixStack, buffer, packedLight, packedOverlay);
		}

		public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
			modelRenderer.rotateAngleX = x;
			modelRenderer.rotateAngleY = y;
			modelRenderer.rotateAngleZ = z;
		}

		public void setRotationAngles(Entity e, float f, float f1, float f2, float f3, float f4) {
		}
	}
}
